Bug 1466674 - System crashes after docking
System crashes after docking
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 04:37 EDT by Jiří Vymazal
Modified: 2018-05-29 07:25 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:25:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiří Vymazal 2017-06-30 04:37:43 EDT
Description of problem:
Since last friday (2017-06-23) system update (ask for dnf transaction log if needed) I am having serious problem whenever I dock my T460s laptop (two monitors connected to dock, one DVI, one display-port), problem happens only if I dock running/suspended system, if I reboot while docked everything works same as before. When connected running or woken up X freezes (probably, I can still move with cursor but everything else is frozen) and there is no signal to iether monitor. After few minutes system crashes and force reboots. I am NOT using wayland and my desktop runs xfce4.

Version-Release number of selected component (if applicable):
kernel.x86_64 - 4.11.6-201.fc25
xorg-x11-server-Xorg.x86_64 - 1.19.3-1.fc25
xorg-x11-drv-intel.x86_64 - 2.99.917-26.20160929.fc25
xfce4-session.x86_64 - 4.12.1-9.fc25

How reproducible:
Always

Steps to Reproduce:
1. Dock suspended laptop
2. Wake up
3. Wait

Actual results:
System crashes - force reboots

Expected results:
System recognizes connected monitors

Additional info:
After force reboot journalctl contains hundreds of times these two errors:
1. localhost.localdomain kernel: [drm:intel_dp_set_idle_link_train [i915]] *ERROR* Timed out waiting for DP idle patterns
2. localhost.localdomain kernel: [drm:intel_wait_ddi_buf_idle [i915]] *ERROR* Timeout waiting for DDI BUF C idle bit

they are appearing alternating 1.-2.-1. ... and sometimes 1.-1.-2.-1. ... about 4-5 times per second before crash. As for crash itself there is only "-- Reboot --" in journalctl; /var/log/messages contains 6795 chars of "^@". Please ask for any other specific info/logs.
Comment 1 Jakub Samuel Paulovic 2017-08-01 13:14:09 EDT
Same problem on FC26, regardless if I use Wayland or X.org:

$ uname -a
Linux jpaulovi.usersys.redhat.com 4.11.11-300.fc26.x86_64 #1 SMP Mon Jul 17 16:32:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ rpm -qa | grep x11-drv
xorg-x11-drv-qxl-0.1.5-3.fc26.x86_64
xorg-x11-drv-intel-2.99.917-28.20160929.fc26.x86_64
xorg-x11-drv-vmware-13.2.1-2.fc26.x86_64
xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64
xorg-x11-drv-evdev-2.10.5-2.fc26.x86_64
xorg-x11-drv-fbdev-0.4.3-26.fc26.x86_64
xorg-x11-drv-ati-7.9.0-1.fc26.x86_64
xorg-x11-drv-wacom-0.34.2-1.fc26.x86_64
xorg-x11-drv-openchrome-0.5.0-3.fc26.x86_64
xorg-x11-drv-libinput-0.25.1-2.fc26.x86_64
xorg-x11-drv-vesa-2.3.2-26.fc26.x86_64
Comment 2 Jiří Vymazal 2017-10-03 04:23:54 EDT
One more update - if I do a reboot even before re-docking it works normally (with multiple monitors as well). It is not good as workaround since full reboot is still required but maybe it can help with debugging/fixing this.
Comment 3 Jiří Vymazal 2017-10-03 09:46:14 EDT
I am not sure whether this is correctly targeted against intel driver. I have removed the xorg-x11-drv-intel package entirely, thus forcing system to use modesetting driver included in Xorg server and the result are the same errors in log, though modesetting driver seems to handle them better so it does not crash on every re-dock. Please re-evaluate targeting.
Thanks
Comment 4 Laura Abbott 2017-10-03 11:48:20 EDT
Yes, that was the correct package, please see https://fedoraproject.org/wiki/KernelBugTriage#Video_Subsystem_bugs
Comment 5 Fedora End Of Life 2018-05-03 04:06:09 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2018-05-29 07:25:03 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.